<div id="page-content-wrapper">
<!-- Keep all page content within the page-content inset div! -->
<div class="page-content inset">
<div class="row">
<div class="col-md-7">


<body> 
<center><h1>Pagos de Venta Servicios Generales</h1></center>

<center>
<ul class="breadcrumb">
    <!-- Menú que direcciona a los  Productos internos y al Público-->
   <li><a href="<?php echo base_url();?>pagos/cosmetologo/pagosC/VentaProductos"> Venta Productos</a><span class="divider"></span></li>
   <li><a href="<?php echo base_url();?>pagos/cosmetologo/pagosC/VentaServicios"> Venta Servicios Adicionales</a><span class="divider"></span></li>
  <li><a href="<?php echo base_url();?>pagos/cosmetologo/pagosC/VentaServiciosGenerales"> Venta Servicios Generales</a><span class="divider"></span></li>
  <li><a href="<?php echo base_url();?>pagos/cosmetologo/pagosC/VentaPromociones">Venta Promociones </a> <span class="divider"></span></li>
  <li><a href="<?php echo base_url();?>pagos/cosmetologo/pagosC"> Ventas Realizadas </a><span class="divider"></span></li>
</ul>
</center>

<head>
  <!-- Manda a traer el javascript para validar el formulario -->
 <script src="<?php echo base_url().'assets/dist/js/jquery/jquery-3.3.1.js'?>" type="text/javascript"></script>
  <script src="<?php echo base_url().'assets/dist/js/jquery/jquery-ui.js'?>" type="text/javascript"></script>
  
  <link rel="stylesheet" href="<?php echo base_url().'assets/dist/js/jquery/jquery-ui.css'?>">
  <link rel="stylesheet" href="<?php echo base_url().'assets/dist/css/styles.css'?>">
  <link rel="stylesheet" href="<?php echo base_url().'assets/dist/css/validacion.css'?>">
	<link rel="stylesheet" type="text/css" href='<?php echo base_url()?>assets/dist/css/styleTable.css' /> 
   <link rel="stylesheet" type="text/css" href='<?php echo base_url()?>assets/dist/css/table.css' />
   <link rel="stylesheet" href="<?php echo base_url().'assets/plugins/select/bootstrap-select.min.css'?>">
    <!-- Latest compiled and minified JavaScript -->
    <script src="<?php echo base_url().'assets/plugins/select/bootstrap-select.min.js'?>"></script>
</head>
<form name="Pagos" id="Pagos" action="<?php echo base_url();?>pagos/cosmetologo/pagosC/editarenlaceSM/<?=$IdVentasServicios?>/<?=$ventas_IdVentas?>" method="POST">
    
    <input type="text" class="form-control" id="franquicia"  name="franquicia"  placeholder="Nombre" value="<?php foreach ($Franquicias as $i => $Franquicias) echo  $i; ?>"  readonly="" style="display: none;">

     <div class="form-group">

    
    <label for="name1">Folio Venta</label>
    <input type="text" class="form-control" id="ventas_IdVentas"  name="ventas_IdVentas" placeholder="Nombre" value="<?=$folio?>"  readonly="">
    <label for="name1">Nombre Cliente</label>
    <input type="text" class="form-control" id="NombreCliente"  name="NombreCliente" placeholder="Nombre" value="<?=$ClienteVenta?>"  readonly="">
    <label for="name1">Nombre del Servicio</label>
    <input type="text" class="form-control" id="TotalVenta"  name="TotalVenta" placeholder="Total" value="<?=$NombreServicio?>"  readonly="">
    <label for="name1">Cantidad</label>
    <input type="text" class="form-control" id="SesionesS"  name="SesionesS" placeholder="Total" value="<?=$SesionesS?>"  readonly="">
     <div class="col-md-8 mb-3">
     <label for="name1">No. Exhibiciones</label>
     <input type="text" class="form-control" name="exhibiciones_IdExhibiciones" id="exhibiciones_IdExhibiciones" readonly="" value="<?=$exhibiciones_IdExhibiciones?>">
     </div>
    <div class="col-md-4 mb-3">
     <br>
    <button type="button" class="btn btn-primary" id="agregarExhibicion" name="agregarExhibicion" data-toggle="tooltip" data-placement="bottom" title="Añadir una exhibición"><span class='glyphicon glyphicon-plus'></span></button>
    </div>
   <div class="col-md-4 mb-3">
    <input type="text" style="visibility: hidden;">
    </div>

    <label for="name1">Subtotal</label>
    <input type="text" class="form-control" id="SubTotalS"  name="SubTotalS" placeholder="Total" value="<?=$SubTotalS?>"  readonly="">
    <label for="name1">Subtotal con Descuento</label>
    <input type="text" class="form-control" id="DescuentoS" name="DescuentoS" placeholder="DescuentoS"  value="<?=$DescuentoS?>"   readonly=""  >
    <label for="name1">Abono</label>
   <input type="text" class="form-control" id="Abono" style="font-weight: bold; font-family:sans-serif;"  name="Abono" placeholder="Abono" value="<?=$Abono?>"  readonly="">

    <label for="name1">Adeudo</label>
    <input type="text" class="form-control" style="font-size: 26; font-weight: bold; color:#b7005c;" id="Adeudo"  name="Adeudo" placeholder="Adeudo" value="<?=$Adeudo?>" readonly="">
    
    <label for="name1">Comentario de descuento</label>
    <textarea class="form-control" rows="2" disabled="" id="ComentarioDesS" name="ComentarioDesS"  > <?php echo $ComentarioDesS;?></textarea>
    <label for="name1">Nombre Certificado</label>
    <input type="text" class="form-control" id="NombreCertificadoS" name="NombreCertificadoS" placeholder="Nombre Certificado"  value="<?=$NombreCertificadoS?>"   readonly=""  >
    <label for="name1">Folio Certificado</label>
    <input type="text" class="form-control" id="FolioC" name="FolioC" placeholder="Folio Certificado"  value="<?=$FolioC?>"   readonly="" Input="ValidaExhi();">

    <label for="name1">FECHA PAGO 1</label>
    <input type="text" class="form-control" id="Fecha1" name="Fecha1" placeholder=""  value="<?=$Fecha1?>"  readonly=""  >
    <label for="name1">Usuario</label>
    <input  name="Usuario1" id="Usuario1" class="form-control" readonly="" value="<?=$Usuario1?>">



    
     <input type="text" class="form-control" id="Fecha2"  name="Fecha2"  style="visibility: hidden;" > <!-- Input desabilitado para dar mas orden y actualizar la fecha-->

    <label for="name1">FECHA PAGO 2</label>
    <input type="date" class="form-control" id="FechaP2" name="FechaP2" placeholder=""   min="<?php $hoy=date("Y-m-d"); echo $hoy;?>" max="<?php $hoy=date("Y-m-d"); echo $hoy;?>" >
    <label for="name1">Efectivo</label>
    <input type="number" class="form-control" id="Contado2" name="Contado2" placeholder="Cantidad de Contado" value="<?=$Contado2?>" onInput="CalculaPago2();" min="0" onkeypress="return validaPunto(event)">
    <label for="name1">Tipo Tarjeta</label>
    <select id="TipoTarjeta2"  class="form-control" name="TipoTarjeta2" onChange="validar2(this.form);" > 
       <option value="">--- Selecciona ---</option> 
        <option value="TARJETA DE CREDITO" <?php if($TipoTarjeta2=="TARJETA DE CREDITO") echo "selected";?>>TARJETA DE CRÉDITO</option> 
        <option value="TARJETA DE DEBITO" <?php if($TipoTarjeta2=="TARJETA DE DEBITO") echo "selected";?>>TARJETA DE DÉBITO</option> 
    </select>
    <label for="name1">Cantidad abonada con la tarjeta</label>
    <input type="number" class="form-control" id="CTarjeta2" name="CTarjeta2" placeholder="Cantidad Abonada" value="<?=$CTarjeta2?>" onInput="CalculaPago2();" readonly="" min="0" onkeypress="return validaPunto(event)">
    <label for="name1">Folio Terminal Bancaria</label>
    <input type="text" class="form-control" id="FolioTarjeta2" name="FolioTarjeta2" placeholder="Folio Terminal Bancaria" value="<?=$FolioTarjeta2?>" onkeypress="return valida(event)" readonly="">
    <label for="name1">Usuario</label>
    <input id="Usuario2"  name="Usuario2" class="form-control"  readonly=""<?php foreach ($ReUsuario as $ReUsuario => $Usuario) echo 'value="',$ReUsuario,'"'; ?>>

    <input type="text" class="form-control" id="Fecha3"  name="Fecha3"  style="visibility: hidden;" > <!-- Input desabilitado para dar mas orden -->
    <div id="pag3" style="display:none;">
    <label for="name1">FECHA PAGO 3</label>
    <input type="date" class="form-control" id="FechaP3" name="FechaP3" placeholder="Fecha" min="<?php $hoy=date("Y-m-d"); echo $hoy;?>" max="<?php $hoy=date("Y-m-d"); echo $hoy;?>"   >
    <label for="name1">Efectivo</label>
    <input type="number" class="form-control" id="Contado3" name="Contado3" placeholder="Cantidad de Contado" value="<?=$Contado3?>" onInput="CalculaPago3();" min="0" onkeypress="return validaPunto(event)">
    <label for="name1">Tipo Tarjeta</label>
    <select id="TipoTarjeta3"  class="form-control" name="TipoTarjeta3" onChange="validar3(this.form);"> 
      <option value="">--- Selecciona ---</option> 
      <option value="TARJETA DE CREDITO" <?php if($TipoTarjeta3=="TARJETA DE CREDITO") echo "selected";?>>TARJETA DE CRÉDITO</option> 
      <option value="TARJETA DE DEBITO" <?php if($TipoTarjeta3=="TARJETA DE DEBITO") echo "selected";?>>TARJETA DE DÉBITO</option> 
    </select>
    <label for="name1">Cantidad abonada con la tarjeta</label>
    <input type="number" class="form-control" id="CTarjeta3" name="CTarjeta3" placeholder="Cantidad Abonada" value="<?=$CTarjeta3?>" onInput="CalculaPago3();" readonly="" min="0" onkeypress="return validaPunto(event)">
    <label for="name1">Folio Terminal Bancaria</label>
    <input type="text" class="form-control" id="FolioTarjeta3" name="FolioTarjeta3" placeholder="Folio Terminal Bancaria" value="<?=$FolioTarjeta3?>" onkeypress="return valida(event)" readonly="">
     <label for="name1">Usuario</label>
     <input type="text" name="Usuario3" id="Usuario3" class="form-control"  readonly=""<?php foreach ($ReUsuario3 as $ReUsuario3 => $Usuario)  echo 'value="',$ReUsuario3,'"'; ?>>

    </div>
  
    <input type="text" class="form-control" id="Fecha4"  name="Fecha4"  style="visibility: hidden;" > <!-- Input desabilitado para dar mas orden -->
    <div id="pag4" style="display:none;">
    <label for="name1">FECHA PAGO 4</label>
    <input type="date"  class="form-control" id="FechaP4" name="FechaP4" placeholder="" min="<?php $hoy=date("Y-m-d"); echo $hoy;?>" max="<?php $hoy=date("Y-m-d"); echo $hoy;?>" >
    <label for="name1">Efectivo</label>
    <input type="number" class="form-control" id="Contado4" name="Contado4" placeholder="Cantidad de Contado" value="<?=$Contado4?>" onInput="CalculaPago4();" min="0" onkeypress="return validaPunto(event)">
    <label for="name1">Tipo Tarjeta</label>
    <select id="TipoTarjeta4"  class="form-control" name="TipoTarjeta4" onChange="validar4(this.form);"> 
       <option value="">--- Selecciona ---</option> 
        <option value="TARJETA DE CREDITO" <?php if($TipoTarjeta4=="TARJETA DE CREDITO") echo "selected";?>>TARJETA DE CRÉDITO</option> 
        <option value="TARJETA DE DEBITO" <?php if($TipoTarjeta4=="TARJETA DE DEBITO") echo "selected";?>>TARJETA DE DÉBITO</option> 
    </select>
    <label for="name1">Cantidad abonada con la tarjeta</label>
    <input type="number" class="form-control" id="CTarjeta4" name="CTarjeta4" placeholder="Cantidad Abonada" value="<?=$CTarjeta4?>" readonly="" onInput="CalculaPago4();" min="0" onkeypress="return validaPunto(event)">
    <label for="name1">Folio Terminal Bancaria</label>
    <input type="text" class="form-control" id="FolioTarjeta4" name="FolioTarjeta4" placeholder="Folio Terminal Bancaria" value="<?=$FolioTarjeta4?>" readonly="" onkeypress="return valida(event)" >
    <label for="name1">Usuario</label>
    <input type="text" name="Usuario4" id="Usuario4" class="form-control"  readonly=""<?php foreach ($ReUsuario4 as $ReUsuario4 => $Usuario) echo 'value="',$ReUsuario4,'"'; ?>>  
    </div>

    

  </div>
<button type="button" id="guarda" class="btn btn-primary">Guardar</button>
 <a href="<?php echo base_url();?>Pagos/cosmetologo/pagosC/ventaServicios">
  <button type="button" class="btn btn-danger">Regresar</button></a>
  <!-- //modal -->
<div class="modal fade" id="modal-default" data-backdrop="static" data-keyboard="false">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Confirmación de pago</h4>
      </div>
      <div class="modal-body" id="area-impresion-ticket">
        
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-danger pull-left" data-dismiss="modal" id="cerrar-ticket-preview">Regresar</button>
        <button type="button" class="btn btn-primary btn-print" id="imprimirTicket"><span class="fa fa-print"> </span>Imprimir y Guardar Pago</button>
      </div>
    </div>
    <!-- /.modal-content -->
  </div>
  <!-- /.modal-dialog -->
</div>
<!-- modal
 --> 
  <input type="text" class="form-control" id="AdeudoVenta"  name="AdeudoVenta" placeholder="Adeudo actual" style="visibility: hidden;">

  <input type="text" class="form-control" id="AbonoVenta"  name="AbonoVenta" placeholder="Abono general" style="visibility: hidden;"> 

   <input type="text" class="form-control" id="folio2"  name="folio2" value="<?=$folio2?>" style="display:none;">
   <input type="text" class="form-control" id="folio3"  name="folio3" value="<?=$folio3?>" style="display:none;">
   <input type="text" class="form-control" id="folio4"  name="folio4" value="<?=$folio4?>" style="display:none;">
   <input type="text" class="form-control" id="FolioTicket"  name="FolioTicket" style="display:none;">
</form>
 <input type="date" class="form-control" id="FechaHoy" name="FechaHoy" value="<?php $hoy=date("Y-m-d"); echo $hoy;?>" style="visibility: hidden;">
  <input type="text" class="form-control" id="RAdeudo"  name="RAdeudo" placeholder="Nombre" value="<?=$Adeudo?>" onInput="Totales();" style="visibility: hidden;">
   <input type="text" class="form-control" id="AdeudoV"  name="AdeudoV" value="<?=$AdeudoVenta?>" placeholder="Adeudo general" style="visibility: hidden;" >

  <input type="text" class="form-control" id="RAbono"  name="RAbono" value="<?=$Abono?>" placeholder="Abono" style='display:none;'>
  <input type="text" class="form-control" id="AbonoV"  name="AbonoV" value="<?=$AbonoVenta?>" placeholder="Abono general" style='display:none;'>

</body>
</div>
</div>
</div>
</div>

<script type="text/javascript">
  function validar2(form) {
  if(form.TipoTarjeta2.value!=''){
    $("#CTarjeta2").prop('readonly', false);
    $("#FolioTarjeta2").prop('readonly', false);
  }
  else{
    $("#CTarjeta2").prop('readonly', true);
    $("#FolioTarjeta2").prop('readonly', true);
  }
  
  }
  function validar3(form) {
    if(form.TipoTarjeta3.value!=''){
    $("#CTarjeta3").prop('readonly', false);
    $("#FolioTarjeta3").prop('readonly', false);
  }
  else{
    $("#CTarjeta3").prop('readonly', true);
    $("#FolioTarjeta3").prop('readonly', true);
  }
  }
    function validar4(form) {
  if(form.TipoTarjeta4.value!=''){
    $("#CTarjeta4").prop('readonly', false);
    $("#FolioTarjeta4").prop('readonly', false);
  }
  else{
    $("#CTarjeta4").prop('readonly', true);
    $("#FolioTarjeta4").prop('readonly', true);
  }
  }
//Funcion para validar las exhibiciones
    $( document ).ready(function() {
  $("#agregarExhibicion").on("click", function(){
        var alerta = confirm("Agregar una exhibicion");
        if (alerta==true) {
         window.location.href="<?php echo base_url();?>pagos/cosmetologo/pagosC/agregarExhibicionSG/<?=$IdVentasServicios?>/<?=$exhibiciones_IdExhibiciones?>";

        }
      });
      date = new Date();
              year = date.getFullYear();
              month = date.getMonth()+1;
              dt = date.getDate();

              if (dt < 10) {
                dt = '0' + dt;
              }
              if (month < 10) {
                month = '0' + month;
              }
              var FechaCompleta = year+'-' + month + '-'+dt;
              console.log(new Date());
              console.log(FechaCompleta);
              $('input[id*="Fecha"]').attr('min',FechaCompleta);
              $('input[id*="Fecha"]').attr('max',FechaCompleta);
              $('#FechaHoy').val(FechaCompleta);
      console.log("Entra a la pagina");
    var e =document.getElementById('exhibiciones_IdExhibiciones').value;
    var ct2 = document.getElementById('CTarjeta2').value;
    var cont2 = document.getElementById('Contado2').value;
    var ct3 = document.getElementById('CTarjeta3').value;
    var cont3 = document.getElementById('Contado3').value;


     if (ct2!="" && ct2!="0" ||cont2!="" && cont2!="0" ) {
      console.log("Ya hay pago");
      $("#Contado2").prop('readonly', true);
      $("#CTarjeta2").prop('readonly', true);
      $("#FechaP2").prop('readonly', true);
      $("#FechaP2").attr("type", "text");
      document.getElementById('FechaP2').value="<?=$Fecha2?>";
      document.getElementById('Fecha2').value="<?=$Fecha2?>";
      document.getElementById('TipoTarjeta2').value="<?=$TipoTarjeta2?>";
      document.getElementById('TipoTarjeta2').style="Background-color: #eee";

       var valorTipoTarjeta2="<?=$TipoTarjeta2?>";
        $("#TipoTarjeta2 option").each(function(){
         if ($(this).attr('value')!=valorTipoTarjeta2) {
         $("#TipoTarjeta2").find("option[value='"+$(this).attr('value')+"']").prop("disabled",true);
         }
      });
     }
     else{

      console.log("No hay pago 2");
      console.log("se deshabilita pago 3 y 4");
      $("#Contado3").prop('readonly', true);
      $("#CTarjeta3").prop('readonly', true);
      $("#FechaP3").prop('readonly', true);
      $("#TipoTarjeta3").prop('disabled', true);
      $("#Usuario3").prop('disabled', true);
      //***
      $("#Contado4").prop('readonly', true);
      $("#CTarjeta4").prop('readonly', true);
      $("#FechaP4").prop('readonly', true);
      $("#TipoTarjeta4").prop('disabled', true);
      $("#Usuario4").prop('disabled', true);
     }
//***************************************
     if (ct3!="" && ct3!="0" ||cont3!="" && cont3!="0" ) {
      console.log("Ya hay pago 3");
      $("#Contado3").prop('readonly', true);
      $("#CTarjeta3").prop('readonly', true);
      $("#FechaP3").prop('readonly', true);
      $("#FechaP3").attr("type", "text");
      document.getElementById('FechaP3').value="<?=$Fecha3?>";
      document.getElementById('Fecha3').value="<?=$Fecha3?>";
      document.getElementById('TipoTarjeta3').value="<?=$TipoTarjeta3?>";
      document.getElementById('TipoTarjeta3').style="Background-color: #eee";
    

    var valorTipoTarjeta3="<?=$TipoTarjeta3?>";
        $("#TipoTarjeta3 option").each(function(){
         if ($(this).attr('value')!=valorTipoTarjeta3) {
         $("#TipoTarjeta3").find("option[value='"+$(this).attr('value')+"']").prop("disabled",true);
         }
      });
       }
     else{

      console.log("No ha pago .3");
      console.log("desahabilida pago4");
      document.getElementById('CTarjeta3').value="";
      $("#Contado4").prop('readonly', true);
      $("#CTarjeta4").prop('readonly', true);
      $("#FechaP4").prop('readonly', true);
      $("#TipoTarjeta4").prop('disabled', true);
      $("#Usuario4").prop('disabled', true);
     }
//**************************************



    console.log(e);

      switch(e)
      {
      case "2":
      console.log("son dos exhibiciones");
      document.getElementById('pag3').style.display='none';
      document.getElementById('pag4').style.display='none';
      break;
     case "3":
      console.log("son tres exhibiciones");
      document.getElementById('pag3').style.display='block';
      document.getElementById('pag4').style.display='none';
      break;
     case "4":
      console.log("son cuatro exhibiciones");
      document.getElementById('pag3').style.display='block';
      document.getElementById('pag4').style.display='block';
       $('#agregarExhibicion').prop('disabled', true);
      break;
     default: console.log("No es ninguno");
      }

       if ($("#Contado2").prop("readonly")==false){
        var folio2=document.getElementById('folio2').value;       
        document.getElementById('FolioTicket').value=folio2;
        
      }
      if ($("#Contado3").prop("readonly")==false){
         var folio3=document.getElementById('folio3').value;       
          document.getElementById('FolioTicket').value=folio3;
        
         }
       if ($("#Contado4").prop("readonly")==false){
        var folio4=document.getElementById('folio4').value;       
        document.getElementById('FolioTicket').value=folio4;
        
      }
    });



  console.log("Entra");
  $("#FechaP2").on("change", function(){
    var hora= new Date();
    var horac= hora.getHours()+":"+hora.getMinutes()+":"+ hora.getSeconds();
    var g= document.getElementById("FechaHoy").value;
    document.getElementById("Fecha2").value= g + " " + horac;
 });
  console.log("Entra3");
  $("#FechaP3").on("change", function(){
    var hora= new Date();
    var horac= hora.getHours()+":"+hora.getMinutes()+":"+ hora.getSeconds();
    var g= document.getElementById("FechaHoy").value;
    document.getElementById("Fecha3").value= g + " " + horac;
 });
  console.log("Entra4");
  $("#FechaP4").on("change", function(){
    var hora= new Date();
    var horac= hora.getHours()+":"+hora.getMinutes()+":"+ hora.getSeconds();
    var g= document.getElementById("FechaHoy").value;
    document.getElementById("Fecha4").value= g + " " + horac;
 });

//***validaciones***
  $("#Contado2").on("keyup", function(){
    if ($("#Adeudo").val()=="0" ) {
    if (($("#CTarjeta2").val()=="0") || ($("#CTarjeta2").val()=="" )){
      $("#TipoTarjeta2").prop("disabled", true);
      $("#CTarjeta2").prop("readonly", true);
      $("#FolioTarjeta2").prop("readonly", true);
      document.getElementById('TipoTarjeta2').value="";
    }
  }else{ 
      if (($("#CTarjeta2").val()!="0") || ($("#CTarjeta2").val()!="" )){
      $("#TipoTarjeta2").prop("disabled", false);
      }
    }
 });
  $("#Contado3").on("keyup", function(){
    if ($("#Adeudo").val()=="0" ) {
    if (($("#CTarjeta3").val()=="0") || ($("#CTarjeta3").val()=="" )){
      $("#TipoTarjeta3").prop("disabled", true);
      $("#CTarjeta3").prop("readonly", true);
      $("#FolioTarjeta3").prop("readonly", true);
      document.getElementById('TipoTarjeta3').value="";
    }
  }else{ 
      if (($("#CTarjeta3").val()!="0") || ($("#CTarjeta3").val()!="" )){
      $("#TipoTarjeta3").prop("disabled", false);
      }
    }
 });

  $("#Contado4").on("keyup", function(){
    if ($("#Adeudo").val()=="0" ) {
    if (($("#CTarjeta4").val()=="0") || ($("#CTarjeta4").val()=="" )){
      $("#TipoTarjeta4").prop("disabled", true);
      $("#CTarjeta4").prop("readonly", true);
      $("#FolioTarjeta4").prop("readonly", true);
      document.getElementById('TipoTarjeta4').value="";
    }
  }else{ 
      if (($("#CTarjeta4").val()!="0") || ($("#CTarjeta4").val()!="" )){
      $("#TipoTarjeta4").prop("disabled", false);
      }
    }
  
 });
  //********************************
    $("#TipoTarjeta2").on("change", function(){      
      document.getElementById('CTarjeta2').value="";
      document.getElementById('FolioTarjeta2').value="";  
    }); 
      $("#TipoTarjeta3").on("change", function(){      
      document.getElementById('CTarjeta3').value="";
      document.getElementById('FolioTarjeta3').value="";  
    });
      $("#TipoTarjeta4").on("change", function(){      
      document.getElementById('CTarjeta4').value="";
      document.getElementById('FolioTarjeta4').value="";  
    });

//***fin de validaciones***

function CalculaPago2()
{
   with (document.forms["Pagos"]) // el nombre del formulario
   {
    var totalResult2 = ((Number( RAdeudo.value ) - Number( Contado2.value )- Number( CTarjeta2.value )));
  //sumamos las cajas con los nombres
        Adeudo.value = roundTo( totalResult2, 2 );
        var adeudoventa = ((Number( AdeudoV.value ) - Number( Contado2.value )- Number( CTarjeta2.value )));
       AdeudoVenta.value = roundTo( adeudoventa, 2 );
    var abonov = ((Number( RAbono.value ) + Number( Contado2.value )+ Number( CTarjeta2.value )));
    Abono.value = roundTo( abonov, 2 );

    var abonoventa = ((Number( AbonoV.value ) + Number( Contado2.value )+ Number( CTarjeta2.value )));
    AbonoVenta.value = roundTo( abonoventa, 2 );

        if (Adeudo.value<0) {
          alert("Está ingresando una cantidad mayor al adeudo.\n Ingrese nuevamente la cantidad");
          Contado2.value="";
          CTarjeta2.value="";
          Adeudo.value =RAdeudo.value;
          AdeudoVenta.value =AdeudoV.value;
          Abono.value =RAbono.value;
          AbonoVenta.value =AbonoV.value;
        }
   }
}

function CalculaPago3()
{
   with (document.forms["Pagos"]) // el nombre del formulario
   {
    var totalResult3 = ((Number( RAdeudo.value ) - Number( Contado3.value )- Number( CTarjeta3.value )));
  //sumamos las cajas con los nombres
        Adeudo.value = roundTo( totalResult3, 2 );
        var adeudoventa = ((Number( AdeudoV.value ) - Number( Contado3.value )- Number( CTarjeta3.value )));
       AdeudoVenta.value = roundTo( adeudoventa, 2 );
    var abonov = ((Number( RAbono.value ) + Number( Contado3.value )+ Number( CTarjeta3.value )));
    Abono.value = roundTo( abonov, 2 );

    var abonoventa = ((Number( AbonoV.value ) + Number( Contado3.value )+ Number( CTarjeta3.value )));
    AbonoVenta.value = roundTo( abonoventa, 2 );

        if (Adeudo.value<0) {
          alert("Está ingresando una cantidad mayor al adeudo.\n Ingrese nuevamente la cantidad");
          Contado3.value="";
          CTarjeta3.value="";
          Adeudo.value =RAdeudo.value;
          AdeudoVenta.value =AdeudoV.value;
          Abono.value =RAbono.value;
          AbonoVenta.value =AbonoV.value;
        }
   }
}

function CalculaPago4()
{
   with (document.forms["Pagos"]) // el nombre del formulario
   {
    var totalResult4 = ((Number( RAdeudo.value ) - Number( Contado4.value )- Number( CTarjeta4.value )));
  //sumamos las cajas con los nombres
        Adeudo.value = roundTo( totalResult4, 2 );
        var adeudoventa = ((Number( AdeudoV.value ) - Number( Contado4.value )- Number( CTarjeta4.value )));
       AdeudoVenta.value = roundTo( adeudoventa, 2 );
    var abonov = ((Number( RAbono.value ) + Number( Contado4.value )+ Number( CTarjeta4.value )));
    Abono.value = roundTo( abonov, 2 );
    var abonoventa = ((Number( AbonoV.value ) + Number( Contado4.value )+ Number( CTarjeta4.value )));
    AbonoVenta.value = roundTo( abonoventa, 2 );
        if (Adeudo.value<0) {
          alert("Está ingresando una cantidad mayor al adeudo.\n Ingrese nuevamente la cantidad");
          Contado4.value="";
          CTarjeta4.value="";
          Adeudo.value =RAdeudo.value;
          AdeudoVenta.value =AdeudoV.value;
          Abono.value =RAbono.value;
          AbonoVenta.value =AbonoV.value;
        }
   }
}

function roundTo(num,pow){
  if( isNaN( num ) ){
    num = 0;
  }
  
  return num;
}

   $("#guarda").on("click", function(){
      //***************
    var contado='';
    var tarjeta='';
    var usuario='';
    if ($('#Contado2').prop("readonly") == false) {
      if ($('#CTarjeta2').val()!="" && $('#FolioTarjeta2').val()=="") {
          alert("Ingrese un Folio");
          document.getElementById("FolioTarjeta2").focus();
            return false;
         }
     var g= document.getElementById("FechaHoy").value;
     if ($('#FechaP2').val()!= g) {
         alert("Ingresar fecha actual");
         document.getElementById("FechaP2").focus();
         return false;
          }
       //***************
        if (($('#Contado2').val()=="" || $('#Contado2').val()=="0") && ($('#CTarjeta2').val()==""|| $('#CTarjeta2').val()=="0")) {
        alert("Ingresar una cantidad valida");
        document.getElementById("Contado2").focus();
        return false;
        }
     //***************
      if ($('#CTarjeta2').val()=="" && $('#FolioTarjeta2').val()=="" && $('#TipoTarjeta2').val()!="") {
          alert("Ingrese una cantidad ");
          document.getElementById("CTarjeta2").focus();
            return false;
         }

     //***************
      if ($('#CTarjeta2').val()=="" && $('#FolioTarjeta2').val()!="") {
          alert("Ingrese una cantidad");
          document.getElementById("CTarjeta2").focus();
            return false;
         }
      //***************
        if ($('#exhibiciones_IdExhibiciones').val()==2 && $('#Adeudo').val()!="0") {
        alert("Debe liquidar el Servicio");
        return false;
      }
        contado=$('#Contado2').val();
        tarjeta=$('#CTarjeta2').val();
        usuario=$('#Usuario2').val();     
        }
//*********************************************************************************
      if ($('#Contado3').prop("readonly") == false) {
      if ($('#CTarjeta3').val()!="" && $('#FolioTarjeta3').val()=="") {
          alert("Ingrese un Folio");
          document.getElementById("FolioTarjeta3").focus();
            return false;
         }
     var g= document.getElementById("FechaHoy").value;
     if ($('#FechaP3').val()!= g) {
         alert("Ingresar fecha actual");
         document.getElementById("FechaP3").focus();
         return false;
          }
    //**************
        if (($('#Contado3').val()=="" || $('#Contado3').val()=="0") && ($('#CTarjeta3').val()==""|| $('#CTarjeta3').val()=="0")) {
        alert("Ingresar una cantidad valida");
        document.getElementById("Contado3").focus();
        return false;
        }
     //***************
      if ($('#CTarjeta3').val()=="" && $('#FolioTarjeta3').val()=="" && $('#TipoTarjeta3').val()!="") {
          alert("Ingrese una cantidad ");
          document.getElementById("CTarjeta3").focus();
            return false;
         }

     //***************
      if ($('#CTarjeta3').val()=="" && $('#FolioTarjeta3').val()!="") {
          alert("Ingrese una cantidad");
          document.getElementById("CTarjeta3").focus();
            return false;
         }
      //***************
        if ($('#exhibiciones_IdExhibiciones').val()==3 && $('#Adeudo').val()!="0") {
        alert("Debe liquidar el Servicio");
        return false;
      }
      contado=$('#Contado3').val();
      tarjeta=$('#CTarjeta3').val();
      usuario=$('#Usuario3').val();      
      }
//******************************************************************************
      if ($('#Contado4').prop("readonly") == false) {
      if(($('#CTarjeta4').val()!="" && $('#CTarjeta4').val()!="0")&& $('#FolioTarjeta4').val()=="") {
          alert("Ingrese un Folio");
          document.getElementById("FolioTarjeta4").focus();
            return false;
         }
            var g= document.getElementById("FechaHoy").value;
     if ($('#FechaP4').val()!= g) {
         alert("Ingresar fecha actual");
         document.getElementById("FechaP4").focus();
         return false;
          }
      //**************
        if (($('#Contado4').val()=="" || $('#Contado4').val()=="0") && ($('#CTarjeta4').val()==""|| $('#CTarjeta4').val()=="0")) {
        alert("Ingresar una cantidad valida");
        document.getElementById("Contado4").focus();
        return false;
        }
     //***************
      if ($('#CTarjeta4').val()=="" && $('#FolioTarjeta4').val()=="" && $('#TipoTarjeta4').val()!="") {
          alert("Ingrese una cantidad ");
          document.getElementById("CTarjeta4").focus();
            return false;
         }

     //***************
      if ($('#CTarjeta4').val()=="" && $('#FolioTarjeta4').val()!="") {
          alert("Ingrese una cantidad");
          document.getElementById("CTarjeta4").focus();
            return false;
         }
      //***************

        if ($('#exhibiciones_IdExhibiciones').val()==4 && $('#Adeudo').val()!="0") {
        alert("Debe liquidar el Servicio");
        return false;
      }
      contado=$('#Contado4').val();
      tarjeta=$('#CTarjeta4').val();
      usuario=$('#Usuario4').val();  
      }
//******************************************************************************
    $(this).attr('data-toggle',"modal");
    $(this).attr('data-target',"#modal-default");
    $(this).attr('status',"1");
    imprimir(contado, tarjeta, usuario);
    });//fin guarda

  
function imprimir(contado, tarjeta, usuario) {
    momentoActual = new Date() 
    hora = momentoActual.getHours() 
    minuto = momentoActual.getMinutes() 
    segundo = momentoActual.getSeconds() 
    str_segundo = new String (segundo) 
    if (str_segundo.length == 1) 
        segundo = "0" + segundo 

    str_minuto = new String (minuto) 
    if (str_minuto.length == 1) 
        minuto = "0" + minuto 

    str_hora = new String (hora) 
    if (str_hora.length == 1) 
        hora = "0" + hora 
      
    horaImprimible = hora + ":" + minuto + ":" + segundo ;
    var g= document.getElementById("FechaHoy").value;
    var fecha = g + horaImprimible;
    var cliente = $('#NombreCliente').val();
    var  servicio = $('#TotalVenta').val();
    var folio = $('#FolioTicket').val();
    var abono = $('#Abono').val();
    var adeudo = $('#Adeudo').val();
    var primerAbono = $('#RAbono').val();
    var importe = abono-primerAbono;
    var idFranquicia = $('#franquicia').val();
    
    var fila =  '';
        fila += '<div class="logo-empresa">';
        fila += '<img src="<?php echo base_url().'assets/dist/img/logo.png'?>" alt="Italian Trulli">';
        fila += '</div>';
        fila += '<div class="datos">';
        fila += '<div class="nombre-empresa-ticket"><?php echo $datosFranquiciaTicket->NombreFranquicia?></div>';
        if (idFranquicia!=16) {
        fila += '<div class="razon-empresa-ticket">R.S:<?php echo $datosFranquiciaTicket->RazonSocial?></div>';
        }
         fila += '<div class="regimen-empresa-ticket"><?php echo $datosFranquiciaTicket->RegimenFiscal?></div>';
        fila += '<div class="rfc-empresa-ticket">RFC: <?php echo $datosFranquiciaTicket->RFC?></div>';
        fila += '<div class="domicilio-empresa-ticket"><?php echo $datosFranquiciaTicket->DomicilioFiscal;?>CP: <?php echo $datosFranquiciaTicket->CP;?></div>';
        fila += '</div>';
        fila += '<div class="datos-dos">';
        fila += '<div class="nombre-cliente-ticket">Folio:'+folio+'</div>';
         fila += '<div class="domicilio-empresa-ticket" ><br/></div>';
        fila += '<div class="nombre-cliente-ticket">Fecha de pago:'+fecha+'</div>';
        fila += '<div class="domicilio-empresa-ticket" ><br/></div>';
        fila += '<div class="nombre-cliente-ticket">Cliente: '+cliente+'</div>';
        fila += '<div class="domicilio-empresa-ticket" ><br/></div>';
        fila += '<div class="nombre-cliente-ticket">Servicio: '+servicio+'</div>';
        fila += '</div>';
        fila += '<div class="lista-comprada">';
        fila += '<thead>';
        fila += '<tr>';

        fila +='</thead>';
        fila +='<tbody>';
        fila += '<table class="table table-striped">';
        fila +=  '<tr class="total-cuenta">';
        fila +=  '<td></td><td></td><td></td>';
        fila += '<td class="total-abonado">Abonado:</td>';  
        fila += '<td class="total-abonado">$ '+importe+'</td>';
        fila +=  '<tr class="total-cuenta">'; 
        fila += '<td class="total-ticket"><br></td>';
        fila +=  '<tr class="total-cuenta">';
        fila +=  '<td></td><td></td><td></td>';  
        fila += '<td class="total-ticket">Total:</td>';  
        fila += '<td class="total-ticket">$ <?php echo $TotalPagar;?></td>';  
        fila +=  '</tr>';
        fila +=  '<tr class="total-cuenta">';
        fila +=  '<td></td><td></td><td></td>'; 
        fila += '<td class="total-ticket">A cuenta:</td>';  
        fila += '<td class="total-ticket">$ '+abono+'</td>';  
        fila +=  '</tr>';
        fila +=  '<td></td><td></td><td></td>'; 
        fila += '<td class="total-ticket">Restan:</td>';  
        fila += '<td class="total-ticket">$ '+adeudo+'</td>';  
        fila +=  '<tr class="total-cuenta">'; 
        fila +=  '<td></td><td></td><td></td>'; 
        fila += '<td class="total-ticket">Pago en</td>';  
        fila += '<td class="total-pagar-ticket"></td>';  
        fila +=  '</tr>';

        fila +=  '<tr class="total-cuenta">'; 
        fila +=  '<td></td><td></td><td></td>';
        if(contado>0){ 
        fila += '<td class="total-ticket">Efectivo:</td>';  
        fila += '<td class="total-pagar-ticket">$ '+contado+'</td>';
        }  
        fila +=  '</tr>';
        fila +=  '<tr class="total-cuenta">'; 
        fila +=  '<td></td><td></td><td></td>';
        if(tarjeta>0){  
        fila += '<td class="total-ticket">Tarjeta:</td>';  
        fila += '<td class="total-pagar-ticket">$ '+tarjeta+'</td>'; 
        } 
        fila +=  '</tr>';

        fila += '</table>';       
        fila +=  '</tbody>';
        fila += '<div class="domicilio-empresa-ticket" ><br/></div>';
        fila += '<div class="atendio">Atendio:'+usuario+'</div>';
        $("#modal-default .modal-body").html(fila);
      }


 $('#imprimirTicket').click(function(){

                var ventana = window.open();
                var contenido= document.getElementById('area-impresion-ticket').innerHTML;
                ventana.document.write('<html><head><title>Ticket de Venta</title>');
                ventana.document.write('<link rel="stylesheet" href="<?php echo base_url().'assets/dist/css/styles.css'?>">'); //Aquí agregué la hoja de estilos
                ventana.document.write('<link rel="stylesheet" href="<?php echo base_url();?>assets/bootstrap/css/bootstrap.css">');
                ventana.document.write('<body>');
                ventana.document.write('<div class="ticket-1">');
                ventana.document.write(contenido);
                 ventana.document.write('<br/><div class="footer-ticket">Salud y Belleza con la mejor tecnología a tu alcance</div>');
                ventana.document.write('<a class="link-model" href="https://www.modelartspa.com"></a>');
                ventana.document.write('<div class="agrdecimiento-model">"GRACIAS POR SU VISITA"</div>');
                ventana.document.write('<div class="pertenece-a">Original</div>');

                ventana.document.write('<hr class="fin-ticket">');
                ventana.document.write('</div>');
                
                ventana.document.write(contenido);
                ventana.document.write('<br/><div class="footer-ticket">Salud y Belleza con la mejor tecnología a tu alcance</div>');
                ventana.document.write('<a class="link-model" href="https://www.modelartspa.com"></a>');
                ventana.document.write('<div class="agrdecimiento-model">"GRACIAS POR SU VISITA"</div>');
                ventana.document.write('<div class="pertenece-a">Copia para el cliente</div>');
                ventana.document.write('<hr class="fin-ticket">');
                ventana.document.write('</div>');
               
                ventana.document.write(contenido);
                ventana.document.write('<br/><div class="footer-ticket">Salud y Belleza con la mejor tecnología a tu alcance</div>');
                ventana.document.write('<a class="link-model" href="https://www.modelartspa.com"></a>');
                ventana.document.write('<div class="agrdecimiento-model">"GRACIAS POR SU VISITA"</div>');
                ventana.document.write('<div class="pertenece-a">Respaldo</div>');
                ventana.document.write('</div>');
                ventana.document.write('</body></html>');
                ventana.document.close();

                ventana.focus();
                ventana.onload = function() {
                  ventana.print();

                  ventana.close();
                  setTimeout(function () { window.print(); }, 500);
                  ventana.onafterprint = function(){
                   console.log("Printing completed...");
                     $('#Pagos').submit();

                    }

                          (function() {

                      var beforePrint = function() {
                          console.log('Functionality to run before printing.');
                      };

                      var afterPrint = function() {
                          console.log('Functionality to run after printing');
                      };

                      if (window.matchMedia) {
                          var mediaQueryList = window.matchMedia('print');
                          mediaQueryList.addListener(function(mql) {
                              if (mql.matches) {
                                  beforePrint();
                              } else {
                                  afterPrint();
                              }
                          });
                      }

              window.onbeforeprint = beforePrint;
              window.onafterprint = afterPrint;

}());
                }
                 

            });


</script>


